Bug Hunting Session
Bug 74106 - FILESAVE: Hebrew Text-Bulleted List converted to Numbered List in Round trip file
Summary: FILESAVE: Hebrew Text-Bulleted List converted to Numbered List in Round trip ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Rohit Deshmukh
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks: DOCX-Bullet-Number-Outline-Lists RTL-Hebrew
  Show dependency treegraph
 
Reported: 2014-01-27 06:03 UTC by Rohit Deshmukh
Modified: 2017-11-05 08:15 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Test file (16.63 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-01-27 06:03 UTC, Rohit Deshmukh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rohit Deshmukh 2014-01-27 06:03:57 UTC
Created attachment 92835 [details]
Test file

DOCX containing hebrew list

Steps to reproduce:
1. Load the attached DOCX in LO
2. Save as NEW.DOCX
3. Open the NEW.DOCX in Word
4.  Hebrew Text-Bulleted List converted to Numbered List

Current behavior:
LO exports to DOCX where  Hebrew Text-Bulleted List converted to Numbered List

Expected behavior:
LO should export to DOCX  Hebrew Text-Bulleted List must preserved.
Comment 1 Commit Notification 2014-02-13 11:14:46 UTC
Rohit Deshmukh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1f34909fd74d9c58648e19aca76615d73f546e57

fdo#74106: Fix for Hebrew Text-Bulleted List converted to Numbered List



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Jorendc 2014-03-19 10:31:24 UTC
Thanks!

Looks fixed to me, tested using Windows 8.1 with LibreOffice Version: 4.3.0.0.alpha0+
Build ID: 90dd4320de6ace24e464979630a2c9fbab35f64b
TinderBox: Win-x86@39, Branch:master, Time: 2014-03-19_00:22:53

Kind regards,
Joren